curl --request POST \
--url https://api.quiva.ai/storage/kv \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bucket": "user-preferences",
"description": "Stores user preference settings",
"compression": false,
"history": 1,
"replicas": 1,
"storage": "file"
}
'{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "internal_error"
}KV Buckets
Create a new KV bucket
Creates a new key-value bucket with optional indexing configuration
POST
/
storage
/
kv
curl --request POST \
--url https://api.quiva.ai/storage/kv \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bucket": "user-preferences",
"description": "Stores user preference settings",
"compression": false,
"history": 1,
"replicas": 1,
"storage": "file"
}
'{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "internal_error"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Name of the bucket to create
Whether to enable compression
Description of the bucket
Number of historical versions to keep
Required range:
x >= 1Show child attributes
Show child attributes
Maximum size of the bucket in bytes
Required range:
x >= 1Maximum size of individual values in bytes
Required range:
x >= 1Number of replicas
Required range:
x >= 1Available options:
file, memory Response
Bad Request
Example:
"success"